# Generated by Django 2.2 on 2021-04-30 12:36

import django.contrib.postgres.fields.jsonb
from django.db import migrations
from django.db.models import Q

def rut_str_to_list(apps, scheme_editor):
    
    EscalationModel = apps.get_model('escalation_ti', 'EscalationModel')

    for escalation in EscalationModel.objects.all():
        if escalation.rut != None:
            escalation.rut_list = [escalation.rut]
            escalation.save()

def rut_list_to_str(apps, scheme_editor):

    EscalationModel = apps.get_model('escalation_ti', 'EscalationModel')

    for escalation in EscalationModel.objects.all():
        try:
            escalation.rut = escalation.rut_list[0]
            escalation.save()
        except: 
            pass

class Migration(migrations.Migration):

    dependencies = [
        ('escalation_ti', '0011_auto_20210503_0854'),
    ]

    operations = [
        migrations.RunPython(rut_str_to_list, rut_list_to_str),
    ]
